- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDETechnique Class Reference
[COLLADA Document Object Model.]

A COLLADA extra tree technique. More...

`#include <FCDExtra.h>`

Inheritance diagram for FCDETechnique:

List of all members.

## Public Member Functions
| FCDETechnique (FCDocument *document, FCDEType *parent, const char *profile)
| Constructor: do not use directly.
virtual | ~FCDETechnique ()
| Destructor.
const char * | GetProfile () const
| Retrieves the name of the application-specific profile of the technique.
void | SetProfile (const fm::string &_profile)
| Sets the name of the application-specific profile of the technique.
FUTrackable * | GetPluginObject ()
| Retrieves the plug-in object that overrides the extra tree for this profile.
const FUTrackable * | GetPluginObject () const
| See above.
void | SetPluginObject (FUTrackable *plugin)
| Sets the plug-in object that overrides the extra tree for this profile.
virtual FCDENode * | Clone (FCDENode *clone) const
| Clones the extra tree node.

## Detailed Description

A COLLADA extra tree technique.

For convenience, this extra tree technique is based on top of the FCDENode class. An extra tree technique is the root of the extra tree specific to the profile of an application.

## Constructor & Destructor Documentation

FCDETechnique::FCDETechnique | ( | FCDocument * | document,
|  | FCDEType * | parent,
|  | const char * | profile
| ) |

  | Constructor: do not use directly. Instead, use the FCDEType::AddTechnique function. Parameters:
  | document | The COLLADA document that owns the technique.
  | parent | The extra type that contains this technique.
  | profile | The application-specific profile name.

## Member Function Documentation

virtual FCDENode* FCDETechnique::Clone | ( | FCDENode * | clone | ) | const`[virtual]`

  | Clones the extra tree node. Parameters:
  | clone | The extra tree node that will receive the clone information. If this pointer is NULL, a new extra tree technique will be created and you will need to release the returned pointer manually.
Returns: The clone. Reimplemented from FCDENode.

FUTrackable* FCDETechnique::GetPluginObject | ( |  | ) | `[inline]`

| Retrieves the plug-in object that overrides the extra tree for this profile. The plug-in object should contain all the necessary information and this extra tree is expected to be empty. Returns: The profile-specific plug-in object.

const char* FCDETechnique::GetProfile | ( |  | ) | const`[inline]`

| Retrieves the name of the application-specific profile of the technique. Returns: The name of the application-specific profile.

void FCDETechnique::SetProfile | ( | const fm::string & | _profile | ) | `[inline]`

  | Sets the name of the application-specific profile of the technique. Be careful when modifying the application-specific profile name. There is an assumption that within a typed-extra, all application-specific profile names are unique. Parameters:
  | _profile | The new name of the application-specific profile.

The documentation for this class was generated from the following file:

- FCDocument/FCDExtra.h